Get all object replication reports

NAS File Storage REST API Reference

Version
15.6.x
File Size
1291 KB
Audience
anonymous
Part Number
MK-92HNAS100-07
ft:lastEdition
2026-04-07
get /v9/storage/object-replication/policies/{objectReplicationPolicyObjectId}/reports

Get all object replication reports.

Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.

Authentication: x_subsystem_user Api Key "X-Subsystem-User"
Authentication: x_subsystem_password Api Key "X-Subsystem-Password"
Authentication: api_key Api Key "X-Api-Key"
Authentication: basicAuth HTTP - basic scheme
Path parameters
objectReplicationPolicyObjectId String required

Object ID of the replication policy

Example: 313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56
Query parameters
logIncluded Boolean

True to include full log details

Example: true
Default: false
CLIENT REQUEST
curl -X 'GET'
-H "X-Subsystem-User: [[apiKey]]" \
-H "X-Subsystem-Password: [[apiKey]]" \
-H "X-Api-Key: [[apiKey]]" \
-H "Authorization: Basic [[basicHash]]" \
-H 'Accept: application/json'
'https://172.27.146.40:8444/v9/storage/object-replication/policies/{objectReplicationPolicyObjectId}/reports?logIncluded=true'
import http.client conn = http.client.HTTPSConnection("172.27.146.40:8444") headers = { 'Authorization': "Basic REPLACE_BASIC_AUTH" } conn.request("GET", "/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["Authorization"] = 'Basic REPLACE_BASIC_AUTH' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE"); xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE") .header("Authorization", "Basic REPLACE_BASIC_AUTH") .asString();
import Foundation let headers = ["Authorization": "Basic REPLACE_BASIC_AUTH"] let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_PORT => "8444", CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Basic REPLACE_BASIC_AUTH" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://172.27.146.40:8444/v9/storage/object-replication/policies/313a3a3a30653834353530382d623365352d313164392d393830312d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56/reports?logIncluded=SOME_BOOLEAN_VALUE"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH"); IRestResponse response = client.Execute(request);
Responses

Successful operation

Body
application/json
objectReplicationReportsarray
[
bytesRemaininginteger

Number of remaining bytes

bytesTransferredinteger

Number of transferred bytes

destinationSnapshotNamestring

Destination snapshot name

Example:"Snapshot2"
endTimeinteger

End time of the operation in posix time format

extraStatusMessagestring

Extra status message

Example:"Failed to negotiate object replication with target"
logstring

Log file contents if logIncluded is true, otherwise blank

objectsRemaininginteger

Number of objects remaining to be replicated

objectsTransferredinteger

Number of objects transferred

policyIdstring

ID of the policy

Example:"296f15f2-af39-11d9-98a9-0bef787b2638"
policyNamestring

Name of the policy

Example:"Policy1"
policyTargetstring

IP address of target of object replication policy

Example:"10.50.60.70"
policyTargetFilesystemLabelstring

File system name of target of object replication policy

Example:"Filesystem4"
sourceIncrementalBaseSnapshotNamestring

Source incremental base snapshot name

sourceSnapshotNamestring

Name of the source snapshot

Example:"Snapshot1"
startTimeinteger

Start time of the operation in posix time format

statusstring (Enum)

Status of current operation in progress

Allowed values:"COMPLETE""RUNNING""FAILED""DRY_RUN_COMPLETED""DRY_RUN_RUNNING""DRY_RUN_FAILED""FAILED_SERVER_RESET""DRY_RUN_FAILED_SERVER_RESET"
]
RESPONSE
{ "objectReplicationReports": [ { "bytesRemaining": 0, "bytesTransferred": 0, "destinationSnapshotName": "Snapshot2", "endTime": 0, "extraStatusMessage": "Failed to negotiate object replication with target", "log": "example", "objectsRemaining": 0, "objectsTransferred": 0, "policyId": "296f15f2-af39-11d9-98a9-0bef787b2638", "policyName": "Policy1", "policyTarget": "10.50.60.70", "policyTargetFilesystemLabel": "Filesystem4", "sourceIncrementalBaseSnapshotName": "", "sourceSnapshotName": "Snapshot1", "startTime": 0, "status": "COMPLETE" } ] }

Bad Request

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081353
errorMsgstring

Main error message

Example:"Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied"
RESPONSE
{ "errorCode": 1081353, "errorMsg": "Invalid description parameter - the optional parameter must be between 2 and 30 characters long to be valid, if supplied" }

Unauthorized - the request was rejected because the credentials or API key were either missing or invalid

Forbidden - the client does not have the required permissions to perform the operation

Body
application/json
errorMsgstring

Main error message

Example:"Forbidden request - the client does not have the required permissions to perform the operation"
RESPONSE
{ "errorMsg": "Forbidden request - the client does not have the required permissions to perform the operation" }

Not Found - a resource specified was not found

Body
application/json
errorCodeintegerint32

Generic error code

Example:1081345
errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Cannot find the object of the operation on the device"
RESPONSE
{ "errorCode": 1081345, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Cannot find the object of the operation on the device" }

Internal Server Error

Body
application/json
errorCodeintegerint32

Generic error code

errorDetailobject

Detailed error information

detailstring

More details on why the error occurred

faultstring
fileNamestring

Source file where the error occurred

Example:"RestApiFilesystems.cpp"
functionstring

Internal function name where the error occurred

Example:"mountFilesystem"
lineNumberintegerint32

Line number within the source file, where the error occurred

messagestring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
reasonstring

Reason why the error(s) occurred

Example:"The file system is currently unassigned"
returnedValueintegerint32

Not used

subCodeintegerint32

Specific failure error code

errorMsgstring

Main error message

Example:"Failed to mount file system"
RESPONSE
{ "errorCode": 0, "errorDetail": { "detail": "", "fault": "", "fileName": "RestApiFilesystems.cpp", "function": "mountFilesystem", "lineNumber": 0, "message": "The file system is currently unassigned", "reason": "The file system is currently unassigned", "returnedValue": 0, "subCode": 0 }, "errorMsg": "Failed to mount file system" }